#pragma once

#include "TTools.h"
#include "TPref.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;

namespace AudioFixLite {

	/// <summary>
	/// FormCheckClickNoiseDlg ̊Tv
	///
	/// x: ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public ref class FormCheckClickNoiseDlg : public System::Windows::Forms::Form
	{
	public:
		FormCheckClickNoiseDlg(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^ R[hǉ܂
			//
			Font = Prefs::data->GetDialogFont();
		}

		void SetThrAvrMag1(int value) {
			edtThrAvrMag1->Text = value.ToString();
		}
		int GetThrAvrMag1() {
			int result = 0;
			try {
				result = int::Parse(edtThrAvrMag1->Text);
			}
			catch (Exception^) {
			}
			return result;
		}
		void SetThrAvrMag2(int value) {
			edtThrAvrMag2->Text = value.ToString();
		}
		int GetThrAvrMag2() {
			int result = 0;
			try {
				result = int::Parse(edtThrAvrMag2->Text);
			}
			catch (Exception^) {
			}
			return result;
		}
		void SetThrFix(double value) {
			edtThrFix->Text = value.ToString();
		}
		double GetThrFix() {
			double result = 0.0;
			try {
				result = double::Parse(edtThrFix->Text);
			}
			catch (Exception^) {
			}
			return result;
		}
		void SetSaveLog(bool value) {
			chkSaveLog->Checked = value;
		}
		bool GetSaveLog() {
			return chkSaveLog->Checked;
		}
		void SetRepair(bool value) {
			chkRepair->Checked = value;
		}
		bool GetRepair() {
			return chkRepair->Checked;
		}
		void SetLeft(bool value) {
			chkLeft->Checked = value;
		}
		bool GetLeft() {
			return chkLeft->Checked;
		}
		void SetRight(bool value) {
			chkRight->Checked = value;
		}
		bool GetRight() {
			return chkRight->Checked;
		}
		void SetStart(long value) {
			edtStart->Text = value.ToString();
		}
		long GetStart() {
			return TStringUtil::ToInteger(edtStart->Text);
		}
		void SetEnd(long value) {
			edtEnd->Text = value.ToString();
		}
		long GetEnd() {
			return TStringUtil::ToInteger(edtEnd->Text);
		}
		void DisableStartEnd() {
			edtStart->Enabled = false;
			edtEnd->Enabled = false;
		}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~FormCheckClickNoiseDlg()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::Button^  btnOK;
	private: System::Windows::Forms::Button^  btnCancel;
	private: System::Windows::Forms::TextBox^  edtThrAvrMag1;
	private: System::Windows::Forms::TextBox^  edtThrAvrMag2;


	protected: 

	protected: 



	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::Label^  label3;
	private: System::Windows::Forms::Label^  label4;
	private: System::Windows::Forms::Label^  label5;
	private: System::Windows::Forms::Label^  label6;
	private: System::Windows::Forms::CheckBox^  chkSaveLog;
	private: System::Windows::Forms::Label^  label7;
	private: System::Windows::Forms::Label^  label8;
	private: System::Windows::Forms::TextBox^  edtThrFix;

	private: System::Windows::Forms::Label^  label9;
	private: System::Windows::Forms::CheckBox^  chkRepair;
	private: System::Windows::Forms::CheckBox^  chkLeft;
	private: System::Windows::Forms::CheckBox^  chkRight;
private: System::Windows::Forms::TextBox^  edtStart;
private: System::Windows::Forms::TextBox^  edtEnd;


private: System::Windows::Forms::Label^  label10;
private: System::Windows::Forms::Label^  label11;
private: System::Windows::Forms::Label^  label12;
private: System::Windows::Forms::Label^  label13;

	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(FormCheckClickNoiseDlg::typeid));
			this->btnOK = (gcnew System::Windows::Forms::Button());
			this->btnCancel = (gcnew System::Windows::Forms::Button());
			this->edtThrAvrMag1 = (gcnew System::Windows::Forms::TextBox());
			this->edtThrAvrMag2 = (gcnew System::Windows::Forms::TextBox());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->label3 = (gcnew System::Windows::Forms::Label());
			this->label4 = (gcnew System::Windows::Forms::Label());
			this->label5 = (gcnew System::Windows::Forms::Label());
			this->label6 = (gcnew System::Windows::Forms::Label());
			this->chkSaveLog = (gcnew System::Windows::Forms::CheckBox());
			this->label7 = (gcnew System::Windows::Forms::Label());
			this->label8 = (gcnew System::Windows::Forms::Label());
			this->edtThrFix = (gcnew System::Windows::Forms::TextBox());
			this->label9 = (gcnew System::Windows::Forms::Label());
			this->chkRepair = (gcnew System::Windows::Forms::CheckBox());
			this->chkLeft = (gcnew System::Windows::Forms::CheckBox());
			this->chkRight = (gcnew System::Windows::Forms::CheckBox());
			this->edtStart = (gcnew System::Windows::Forms::TextBox());
			this->edtEnd = (gcnew System::Windows::Forms::TextBox());
			this->label10 = (gcnew System::Windows::Forms::Label());
			this->label11 = (gcnew System::Windows::Forms::Label());
			this->label12 = (gcnew System::Windows::Forms::Label());
			this->label13 = (gcnew System::Windows::Forms::Label());
			this->SuspendLayout();
			// 
			// btnOK
			// 
			this->btnOK->DialogResult = System::Windows::Forms::DialogResult::OK;
			resources->ApplyResources(this->btnOK, L"btnOK");
			this->btnOK->Name = L"btnOK";
			this->btnOK->UseVisualStyleBackColor = true;
			this->btnOK->Click += gcnew System::EventHandler(this, &FormCheckClickNoiseDlg::btnOK_Click);
			// 
			// btnCancel
			// 
			this->btnCancel->DialogResult = System::Windows::Forms::DialogResult::Cancel;
			resources->ApplyResources(this->btnCancel, L"btnCancel");
			this->btnCancel->Name = L"btnCancel";
			this->btnCancel->UseVisualStyleBackColor = true;
			// 
			// edtThrAvrMag1
			// 
			resources->ApplyResources(this->edtThrAvrMag1, L"edtThrAvrMag1");
			this->edtThrAvrMag1->Name = L"edtThrAvrMag1";
			// 
			// edtThrAvrMag2
			// 
			resources->ApplyResources(this->edtThrAvrMag2, L"edtThrAvrMag2");
			this->edtThrAvrMag2->Name = L"edtThrAvrMag2";
			// 
			// label1
			// 
			resources->ApplyResources(this->label1, L"label1");
			this->label1->Name = L"label1";
			// 
			// label2
			// 
			resources->ApplyResources(this->label2, L"label2");
			this->label2->Name = L"label2";
			// 
			// label3
			// 
			resources->ApplyResources(this->label3, L"label3");
			this->label3->Name = L"label3";
			// 
			// label4
			// 
			resources->ApplyResources(this->label4, L"label4");
			this->label4->Name = L"label4";
			// 
			// label5
			// 
			resources->ApplyResources(this->label5, L"label5");
			this->label5->Name = L"label5";
			// 
			// label6
			// 
			resources->ApplyResources(this->label6, L"label6");
			this->label6->Name = L"label6";
			// 
			// chkSaveLog
			// 
			resources->ApplyResources(this->chkSaveLog, L"chkSaveLog");
			this->chkSaveLog->Name = L"chkSaveLog";
			this->chkSaveLog->UseVisualStyleBackColor = true;
			// 
			// label7
			// 
			resources->ApplyResources(this->label7, L"label7");
			this->label7->Name = L"label7";
			// 
			// label8
			// 
			resources->ApplyResources(this->label8, L"label8");
			this->label8->Name = L"label8";
			// 
			// edtThrFix
			// 
			resources->ApplyResources(this->edtThrFix, L"edtThrFix");
			this->edtThrFix->Name = L"edtThrFix";
			// 
			// label9
			// 
			resources->ApplyResources(this->label9, L"label9");
			this->label9->Name = L"label9";
			// 
			// chkRepair
			// 
			resources->ApplyResources(this->chkRepair, L"chkRepair");
			this->chkRepair->Name = L"chkRepair";
			this->chkRepair->UseVisualStyleBackColor = true;
			// 
			// chkLeft
			// 
			resources->ApplyResources(this->chkLeft, L"chkLeft");
			this->chkLeft->Name = L"chkLeft";
			this->chkLeft->UseVisualStyleBackColor = true;
			// 
			// chkRight
			// 
			resources->ApplyResources(this->chkRight, L"chkRight");
			this->chkRight->Name = L"chkRight";
			this->chkRight->UseVisualStyleBackColor = true;
			// 
			// edtStart
			// 
			resources->ApplyResources(this->edtStart, L"edtStart");
			this->edtStart->Name = L"edtStart";
			// 
			// edtEnd
			// 
			resources->ApplyResources(this->edtEnd, L"edtEnd");
			this->edtEnd->Name = L"edtEnd";
			// 
			// label10
			// 
			resources->ApplyResources(this->label10, L"label10");
			this->label10->Name = L"label10";
			// 
			// label11
			// 
			resources->ApplyResources(this->label11, L"label11");
			this->label11->Name = L"label11";
			// 
			// label12
			// 
			resources->ApplyResources(this->label12, L"label12");
			this->label12->Name = L"label12";
			// 
			// label13
			// 
			resources->ApplyResources(this->label13, L"label13");
			this->label13->Name = L"label13";
			// 
			// FormCheckClickNoiseDlg
			// 
			this->AcceptButton = this->btnOK;
			resources->ApplyResources(this, L"$this");
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->CancelButton = this->btnCancel;
			this->Controls->Add(this->label13);
			this->Controls->Add(this->label12);
			this->Controls->Add(this->label11);
			this->Controls->Add(this->label10);
			this->Controls->Add(this->edtEnd);
			this->Controls->Add(this->edtStart);
			this->Controls->Add(this->chkRight);
			this->Controls->Add(this->chkLeft);
			this->Controls->Add(this->chkRepair);
			this->Controls->Add(this->label9);
			this->Controls->Add(this->edtThrFix);
			this->Controls->Add(this->label8);
			this->Controls->Add(this->label7);
			this->Controls->Add(this->chkSaveLog);
			this->Controls->Add(this->label6);
			this->Controls->Add(this->label5);
			this->Controls->Add(this->label4);
			this->Controls->Add(this->label3);
			this->Controls->Add(this->label2);
			this->Controls->Add(this->label1);
			this->Controls->Add(this->edtThrAvrMag2);
			this->Controls->Add(this->edtThrAvrMag1);
			this->Controls->Add(this->btnCancel);
			this->Controls->Add(this->btnOK);
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedDialog;
			this->MaximizeBox = false;
			this->MinimizeBox = false;
			this->Name = L"FormCheckClickNoiseDlg";
			this->ShowInTaskbar = false;
			this->Shown += gcnew System::EventHandler(this, &FormCheckClickNoiseDlg::FormCheckClickNoiseDlg_Shown);
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
	private: System::Void FormCheckClickNoiseDlg_Shown(System::Object^  sender, System::EventArgs^  e) {
				 edtThrAvrMag1->Focus();
				 edtThrAvrMag2->SelectAll();
			 }
private: System::Void btnOK_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
};
}
