#pragma once

#include "TPref.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;

namespace AudioFixLite {

	/// <summary>
	/// FormGainDlg ̊Tv
	///
	/// x: ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public ref class FormGainDlg : public System::Windows::Forms::Form
	{
	public:
		FormGainDlg(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^ R[hǉ܂
			//
			Font = Prefs::data->GetDialogFont();
		}

	void SetCmd(int cmd) {
		rbGain->Checked = cmd == 0;
		rbLaud->Checked = cmd == 1;
	}

	int GetCmd() {
		if (rbLaud->Checked)
			return 1;
		return 0;
	}

	void SetGain(double value) {
		edtGain->Text = value.ToString();
	}

	double GetGain() {
		double result = 0.0;
		try {
			result = double::Parse(edtGain->Text);
		}
		catch (Exception^) {
		}
		return result;
	}

	void SetLaud(double value) {
		edtLaud->Text = value.ToString();
	}

	double GetLaud() {
		double result = 0.0;
		try {
			result = double::Parse(edtLaud->Text);
		}
		catch (Exception^) {
		}
		return result;
	}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~FormGainDlg()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::TextBox^  edtGain;
	private: System::Windows::Forms::Button^  btnOK;
	private: System::Windows::Forms::Button^  btnCancel;



	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::RadioButton^  rbGain;
	private: System::Windows::Forms::RadioButton^  rbLaud;
	private: System::Windows::Forms::TextBox^  edtLaud;

	private: System::Windows::Forms::Label^  label3;
	private: System::Windows::Forms::Button^  btnZero;

	protected: 

	protected: 

	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(FormGainDlg::typeid));
			this->edtGain = (gcnew System::Windows::Forms::TextBox());
			this->btnOK = (gcnew System::Windows::Forms::Button());
			this->btnCancel = (gcnew System::Windows::Forms::Button());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->rbGain = (gcnew System::Windows::Forms::RadioButton());
			this->rbLaud = (gcnew System::Windows::Forms::RadioButton());
			this->edtLaud = (gcnew System::Windows::Forms::TextBox());
			this->label3 = (gcnew System::Windows::Forms::Label());
			this->btnZero = (gcnew System::Windows::Forms::Button());
			this->SuspendLayout();
			// 
			// edtGain
			// 
			resources->ApplyResources(this->edtGain, L"edtGain");
			this->edtGain->Name = L"edtGain";
			// 
			// btnOK
			// 
			resources->ApplyResources(this->btnOK, L"btnOK");
			this->btnOK->DialogResult = System::Windows::Forms::DialogResult::OK;
			this->btnOK->Name = L"btnOK";
			this->btnOK->UseVisualStyleBackColor = true;
			// 
			// btnCancel
			// 
			resources->ApplyResources(this->btnCancel, L"btnCancel");
			this->btnCancel->DialogResult = System::Windows::Forms::DialogResult::Cancel;
			this->btnCancel->Name = L"btnCancel";
			this->btnCancel->UseVisualStyleBackColor = true;
			// 
			// label2
			// 
			resources->ApplyResources(this->label2, L"label2");
			this->label2->Name = L"label2";
			// 
			// rbGain
			// 
			resources->ApplyResources(this->rbGain, L"rbGain");
			this->rbGain->Name = L"rbGain";
			this->rbGain->TabStop = true;
			this->rbGain->UseVisualStyleBackColor = true;
			// 
			// rbLaud
			// 
			resources->ApplyResources(this->rbLaud, L"rbLaud");
			this->rbLaud->Name = L"rbLaud";
			this->rbLaud->TabStop = true;
			this->rbLaud->UseVisualStyleBackColor = true;
			// 
			// edtLaud
			// 
			resources->ApplyResources(this->edtLaud, L"edtLaud");
			this->edtLaud->Name = L"edtLaud";
			// 
			// label3
			// 
			resources->ApplyResources(this->label3, L"label3");
			this->label3->Name = L"label3";
			// 
			// btnZero
			// 
			resources->ApplyResources(this->btnZero, L"btnZero");
			this->btnZero->Name = L"btnZero";
			this->btnZero->UseVisualStyleBackColor = true;
			this->btnZero->Click += gcnew System::EventHandler(this, &FormGainDlg::btnZero_Click);
			// 
			// FormGainDlg
			// 
			this->AcceptButton = this->btnOK;
			resources->ApplyResources(this, L"$this");
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->CancelButton = this->btnCancel;
			this->Controls->Add(this->btnZero);
			this->Controls->Add(this->label3);
			this->Controls->Add(this->edtLaud);
			this->Controls->Add(this->rbLaud);
			this->Controls->Add(this->rbGain);
			this->Controls->Add(this->label2);
			this->Controls->Add(this->btnCancel);
			this->Controls->Add(this->btnOK);
			this->Controls->Add(this->edtGain);
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedDialog;
			this->MaximizeBox = false;
			this->MinimizeBox = false;
			this->Name = L"FormGainDlg";
			this->ShowInTaskbar = false;
			this->Load += gcnew System::EventHandler(this, &FormGainDlg::FormGainDlg_Load);
			this->Shown += gcnew System::EventHandler(this, &FormGainDlg::FormGainDlg_Shown);
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
	private: System::Void btnZero_Click(System::Object^  sender, System::EventArgs^  e) {
		rbGain->Checked = true;
		rbLaud->Checked = false;
		edtGain->Text = "0";
	}
private: System::Void FormGainDlg_Load(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void FormGainDlg_Shown(System::Object^  sender, System::EventArgs^  e) {
			 if (rbGain->Checked) {
				 edtGain->Focus();
				 edtGain->SelectAll();
			 }
			 else if (rbLaud->Checked) {
				 edtLaud->Focus();
				 edtLaud->SelectAll();
			 }
		 }
};
}
